.container {
  width: 100%;
  height: 100vh;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--main-color);
}

.wrapperContent {
  display: grid;
  grid-template-columns: 1fr 1fr;
  padding: 0 4rem;
  gap: 4rem;
  align-items: center;
}

/* ************** Left ************** */
.contentLeft {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: var(--bor-rad-16);
  overflow: hidden;
  max-height: 800px;
  /* box shadow */
  box-shadow: 5px 5px 20px 0px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 5px 5px 20px 0px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 5px 5px 20px 0px rgba(0, 0, 0, 0.1);
}

.contentLeft > img {
  object-fit: cover;
}

.contentRight {
  width: 80%;
  max-width: 600px;
  color: var(--sub-color);
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.signUpHeader > .title {
  font-size: 40px;
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.signUpHeader > .title > span {
  color: var(--orange-color);
}

.signUpHeader > .title > svg {
  color: var(--orange-color);
  animation: signUpIconAnim 2s ease 0s infinite normal forwards;
}

.signUpHeader > .decs > span {
  font-weight: 700;
  cursor: pointer;
}

.signUpForm {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.signUpForm > .formGroup {
  display: flex;
  flex-direction: column;
}

.signUpForm > .formGroup > label {
  font-size: 20px;
  font-weight: 700;
}

.signUpForm > .formGroup > input {
  width: 100%;
  height: 50px;
  border-radius: 50px;
  padding: 16px;
  font-size: 16px;
  color: var(--sub-color);
  font-weight: 700;
}

.signUpForm > .formGroup > input:focus {
  outline: 2px solid var(--sub-color);
}

.signUpForm > .formGroup > input::placeholder {
  color: var(--sub-color);
  opacity: 0.5;
}

.confirmPolicy {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.confirmPolicy > input {
  height: 20px;
  width: 20px;
}

.confirmPolicy > label > span {
  font-weight: 700;
}

/* ************** Button ************** */
.button {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 16px;
  padding: 16px 20px;
  width: 100%;
  cursor: pointer;
  font-size: 1rem;
  font-weight: 600;
  border-radius: var(--bor-rad-10);
  /* BG */
  background-color: var(--sub-color);
  color: var(--main-color);
  /* box shadow */
  box-shadow: 10px 10px 10px 0px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 10px 10px 10px 0px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 10px 10px 10px 0px rgba(0, 0, 0, 0.1);
  /* border */
  border: 1px solid transparent;
  transition: var(--transition-all);
}

.button:hover {
  /* box shadow */
  box-shadow: 10px 10px 10px 0px rgba(0, 0, 0, 0.7);
  -webkit-box-shadow: 10px 10px 10px 0px rgba(0, 0, 0, 0.7);
  -moz-box-shadow: 10px 10px 10px 0px rgba(0, 0, 0, 0.7);
  /* BG */
  background-color: var(--white-color);
  color: var(--sub-color);
  /* Border */
  border: 1px solid rgb(255, 207, 175);
}

@keyframes signUpIconAnim {
  0% {
    transform: scale3d(1, 1, 1);
  }

  30% {
    transform: scale3d(1.25, 0.75, 1);
  }

  40% {
    transform: scale3d(0.75, 1.25, 1);
  }

  50% {
    transform: scale3d(1.15, 0.85, 1);
  }

  65% {
    transform: scale3d(0.95, 1.05, 1);
  }

  75% {
    transform: scale3d(1.05, 0.95, 1);
  }

  100% {
    transform: scale3d(1, 1, 1);
  }
}

/*  **************  MEDIA QUERIES ( MEDIUM DEVICES )  ****************  */
@media screen and (max-width: 1440px) {
  .wrapperContent {
    grid-template-columns: 1fr;
  }
  .contentLeft {
    display: none;
  }
  .contentRight {
    margin: 0 auto;
    width: 100%;
  }
}

/*  **************  MEDIA QUERIES ( SMALL DEVICES )  ****************  */
@media screen and (max-width: 500px) {
  .wrapperContent {
    padding: 1rem;
    height: max-content;
  }
  .contentRight {
    width: 100%;
    max-width: 100%;
    gap: 1.5rem;
  }

  .confirmPolicy > input {
    width: 36px;
    height: 36px;
  }
}

@media screen and (max-width: 380px) {
  .container {
    overflow-y: scroll;
    height: 100%;
  }
}
